from typing import Optional, Dict
from pydantic import BaseModel
import os


class RunModel(BaseModel):
    playbook: str
    tags: Optional[str] = None
    skip_tags: Optional[str] = None
    limit: Optional[str] = None
    host_pattern: Optional[str] = None
    verbosity: Optional[int] = None
    extravars: Optional[Dict] = None
    forks: Optional[str] = None
    ansible_dir: Optional[str] = None
    dh_ansible_user: Optional[str] = os.environ.get('DH_ANSIBLE_USER', None)
    ansible_remote_user: Optional[str] = False
