from .core import MachineServiceBase, PROD_API_URL
from functools import lru_cache


class Dreampress():
    def __init__(self, machine=None, client=None, log_level='WARN', url=PROD_API_URL):
        self.machine = machine
        self.client = client or MachineServiceBase(
            log_level=log_level, url=url)

    # @lru_cache()
    def plugins_list(self):
        return self.client._get(path='/dp/plugin/list/%s' % self.machine)

    # @lru_cache()
    def themes_list(self):
        return self.client._get(path='/dp/themes/list/%s' % self.machine)

    # @lru_cache()
    def posts_list(self):
        return self.client._get(path='/dp/posts/list/%s' % self.machine)
