from cement import Controller, ex
from getpass import getuser
from os import remove, path


class Logout(Controller):
    class Meta:
        label = 'logout'
        stacked_type = 'nested'
        stacked_on = 'base'
        help = 'Delete ndn API auth token'

    @ex(help="Delete API auth token file")
    def _default(self):
        self.app.log.debug("deleting file %s" % self.app.token_file)
        # API token file
        try:
            remove(self.app.token_file)
            self.app.log.debug("deleted file %s" % self.app.token_file)
        except FileNotFoundError:
            pass
        # NDN LDAP creds file
        try:
            creds_cache_file = path.expanduser(
                '~%s/.ndn_creds_cache' % getuser())
            remove(creds_cache_file)
            self.app.log.debug("deleted file %s" % creds_cache_file)
        except FileNotFoundError:
            pass
        # Vault token file
        try:
            vault_token_file = path.expanduser('~%s/.vault-token' % getuser())
            remove(vault_token_file)
            self.app.log.debug("deleted file %s" % vault_token_file)
        except FileNotFoundError:
            pass
