from cement import Controller, ex
from packaging.version import Version as pversion


class Version(Controller):
    class Meta:
        label = 'version'
        stacked_type = 'nested'
        stacked_on = 'base'
        help = 'Python-ndn-cli version'
        arguments = [
            (['-f', '--force'],
             {'help': 'Skip the cached version lookup, forcing a refresh from the data source',
              'default': False,
              'action': 'store_true'}),
        ]

    @ex(help='Print current/local version and upstream/published version')
    def _default(self):
        version_data = self.app.check_version(force=self.app.pargs.force)
        if pversion(version_data['local_version']) < pversion(version_data['upstream_version']):
            state = 'older'
        elif pversion(version_data['local_version']) > pversion(version_data['upstream_version']):
            state = 'newer'
        else:
            state = 'same'

        self.app.render({'data': {'args': self.app.pargs.__dict__,
                                  'version_data': version_data,
                                  'version_state': state}},
                        'version/output.jinja2')
        return version_data
