from .core import ServicectlBase, PROD_API_URL


class Health():
    def __init__(self, client=None, url=PROD_API_URL):
        self.client = client or ServicectlBase(url=url)

    def pingz(self):
        """
        Hit the "pingz" endpoint of the API, which does a super basic application check
        """

        return self.client._get(path='/pingz')

    def dbpingz(self):
        """
        Hit the "dbpingz" endpoint, which loads single/simple record, just to validate that the DB is accessible
        """

        return self.client._get(path='/servicectl/health/dbpingz')

    def dbthroughput(self):
        """
        Hit the "dbpingz" endpoint, which creates/loads/deletes a single record to validate the full DB throughput
        """

        return self.client._get(path='/servicectl/health/dbthroughput')
